<view>
	<query>
		&quot;http://schemas.microsoft.com/exchange/smallicon&quot; as smicon, &quot;http://schemas.microsoft.com/mapi/sent_representing_name&quot; as from,
&quot;urn:schemas:httpmail:displayto&quot; as to,
&quot;urn:schemas:httpmail:datereceived&quot; as recvd, &quot;http://schemas.microsoft.com/mapi/proptag/x10900003&quot; as flag, &quot;http://schemas.microsoft.com/mapi/subject&quot; as subj, &quot;http://schemas.microsoft.com/exchange/x-priority-long&quot; as prio, &quot;urn:schemas:httpmail:hasattachment&quot; as fattach, &quot;http://schemas.microsoft.com/mapi/proptag/x0e080003&quot; as size, 
&quot;http://schemas.microsoft.com/mapi/string/{00020329-0000-0000-C000-000000000046}/urn:schemas:httpmail:bcc&quot; as bcc,  

	</query>
	<group>
 		<xsl:template xmlns:xsl="uri:xsl" xmlns:a="DAV:">
		<xsl:script>
		var re=/^(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}).\d{3}Z?$/;

		function formatMessageSize(szSize,szBAbbr,szKBAbbr,szMBAbbr)
		{
			if("" == szBAbbr)  szBAbbr  = "B";
			if("" == szKBAbbr) szKBAbbr = "KB";
			if("" == szMBAbbr) szMBAbbr = "MB";
			if("" == szSize)   szSize = "0";

			var iSize = parseInt(szSize,10);
			if (iSize &gt; 0x100000)
			{
				iSize = Math.round(iSize/1048576);
				szSize  = iSize + " " + szMBAbbr;
			}
			else if(iSize &gt; 0x400)
			{
				iSize = Math.round(iSize/1024);
				szSize  = iSize + " " + szKBAbbr;
			}
			else
			{
				szSize  = iSize + " " + szBAbbr;
			}
			return(szSize);
		}

		function formatDateTimeString(szISODate,szDateFormat,szTimeFormat)
		{
			re.lastIndex=0;
			var arr = re.exec( szISODate );
			if (null == arr) return "";
			var objDate = new Date(Date.UTC(arr[1],arr[2]-1,arr[3],arr[4],arr[5],arr[6],0));
			var szFormattedDate = formatDate(objDate.getVarDate(), szDateFormat);
			var szFormattedTime = formatTime(objDate.getVarDate(), szTimeFormat);
			//Check for null character and strip it off if present
			if(szFormattedDate.charCodeAt(szFormattedDate.length -1) == 0)
			{
				szFormattedDate = szFormattedDate.substring(0,szFormattedDate.length-1)
			}
			if(szFormattedTime.charCodeAt(szFormattedTime.length -1) == 0)
			{
				szFormattedTime = szFormattedTime.substring(0,szFormattedTime.length-1)
			}
			return szFormattedDate + " " + szFormattedTime;
		}
		</xsl:script>
			<TABLE isTabularView="true" cellpadding="0" cellspacing="0" style="table-layout:fixed;width:100%;height:100%">
	    	<TR><TD>
		   	   <TABLE id="tblHeader" class="tblHdr" cellpadding="1" cellspacing="0" style="table-layout:fixed;width:100%">
				<TR class="vwHdrTR">
					<TD id="tdColumn" onclick="if(null == event.returnValue) event.returnValue=this;" nowrap="true" style="width:20px;text-align:center;" class="vwHdrTD vwHdrNoBrdr" prop="http://schemas.microsoft.com/exchange/x-priority-long" dataType="i4" colName="" sortdir="" sortable="1">
						<IMG width="10" height="14" id="imgCol" style="cursor:hand" src="/exchweb/img/view-importance.gif"/>
					</TD>
					<TD id="tdColumn" onclick="if(null == event.returnValue) event.returnValue=this;" nowrap="true" style="width:20px;text-align:center;" class="vwHdrTD vwHdrNoBrdr" prop="http://schemas.microsoft.com/exchange/smallicon" dataType="string" colName="" sortdir="" sortable="1">
						<IMG width="10" height="14" id="imgCol" style="cursor:hand" src="/exchweb/img/view-document.gif"/>
					</TD>

					<TD id="tdColumn" onclick="if(null == event.returnValue) event.returnValue=this;" nowrap="true" style="width:15px;text-align:center;" class="vwHdrTD vwHdrNoBrdr" prop="urn:schemas:httpmail:hasattachment" dataType="boolean" colName="" sortdir="" sortable="1">
						<IMG width="10" height="14" id="imgCol" style="cursor:hand" src="/exchweb/img/view-paperclip.gif"/>
					</TD>

				        <TD id="tdColumn" onclick="if(null == event.returnValue) event.returnValue=this;" nowrap="true" style="width:26%;padding:0px 3px;" class="vwHdrTD vwHdrNoBrdr" prop="http://schemas.microsoft.com/mapi/sent_representing_name" dataType="string" colName="" sortdir="" sortable="1"></TD>

				        <TD id="tdColumn" onclick="if(null == event.returnValue) event.returnValue=this;" nowrap="true" style="width:15%;padding:0px 3px;" class="vwHdrTD vwHdrNoBrdr" prop="urn:schemas:httpmail:displayto" dataType="string" colName="" sortdir="" sortable="1"></TD>

					<TD id="tdColumn" onclick="if(null == event.returnValue) event.returnValue=this;" nowrap="true" style="width:32%;padding:0px 3px;" class="vwHdrTD vwHdrNoBrdr" prop="http://schemas.microsoft.com/mapi/subject" dataType="string" colName="" sortdir="" sortable="1"></TD>

					<TD id="tdColumn" onclick="if(null == event.returnValue) event.returnValue=this;" nowrap="true" style="width:19%;padding:0px 3px;" class="vwHdrTD vwHdrNoBrdr" prop="urn:schemas:httpmail:datereceived" dataType="date" colName="" sortdir="" sortable="1"></TD>
					<TD id="tdColumn" onclick="if(null == event.returnValue) event.returnValue=this;" nowrap="true" style="width:8%;text-align:right;padding:0px 3px;" class="vwHdrTD vwHdrNoBrdr" prop="http://schemas.microsoft.com/mapi/proptag/x0e080003" dataType="i4" colName="" sortdir="" sortable="1"></TD>
					<TD id="tdColumn" onclick="if(null == event.returnValue) event.returnValue=this;" nowrap="true" style="width:20px;padding:0px 3px;text-align:center;" class="vwHdrTD vwHdrNoBrdr" prop="http://schemas.microsoft.com/mapi/proptag/x10900003" dataType="i4" colName="" sortdir="" sortable="1">
						<IMG width="10" height="14" id="imgCol" style="cursor:hand" src="/exchweb/img/view-flag.gif"/>
					</TD>
					<TD id="idFill" style="width:16px;"></TD>
				</TR>
				<TR><TD colspan="8" class="vwHdrBrdr1">&#160;</TD></TR>
				<TR><TD colspan="8" class="vwHdrBrdr2">&#160;</TD></TR>
				<TR><TD colspan="8" class="vwHdrBrdr3">&#160;</TD></TR>
			   	</TABLE>
			</TD></TR>
			<TR><TD style="height:100%">
			<DIV class="msgViewerCont" id="dvContents">
				<TABLE cellpadding="0" cellspacing="0" style="table-layout:fixed;width:100%">
				<COL style="width:20px;" prop="http://schemas.microsoft.com/exchange/x-priority-long"/>
				<COL style="width:20px;" prop="http://schemas.microsoft.com/exchange/smallicon"/>
				<COL style="width:15px;" prop="urn:schemas:httpmail:hasattachment"/>
				<COL style="width:26%;" prop="http://schemas.microsoft.com/mapi/sent_representing_name"/>
				<COL style="width:15%;" prop="urn:schemas:httpmail:displayto"/>
				<COL style="width:32%;" prop="http://schemas.microsoft.com/mapi/subject"/>
				<COL style="width:19%;" prop="urn:schemas:httpmail:datereceived"/>
				<COL style="width:8%;" prop="http://schemas.microsoft.com/mapi/proptag/x0e080003"/>
				<COL style="width:20px;" prop="http://schemas.microsoft.com/mapi/proptag/x10900003"/>
				<xsl:eval>
				var i=0;
				</xsl:eval>
				<xsl:for-each select="a:multistatus/a:response">
				<TR id="unSelected" itemTR="1" onmousedown="if(null == event.returnValue) event.returnValue=this" onclick="if(null == event.returnValue) event.returnValue=this" ondblclick="if(null == event.returnValue) event.returnValue=this" oncontextmenu="if(null == event.returnValue) event.returnValue=this">
					<xsl:attribute name="style"><xsl:if test="a:propstat/a:prop/r[.='0']">font-weight:bold;</xsl:if></xsl:attribute>
					<xsl:attribute name="_href"><xsl:value-of select="a:href"/></xsl:attribute>
					<xsl:attribute name="messageClass"><xsl:value-of select="a:propstat/a:prop/m"/></xsl:attribute>
					<xsl:attribute name="read"><xsl:value-of select="a:propstat/a:prop/r"/></xsl:attribute>
					<A onclick="return(false)" tabindex="-1">
						<xsl:attribute name="id"><xsl:value-of select="a:href"/></xsl:attribute>
						<xsl:attribute name="href"><xsl:value-of select="a:href"/></xsl:attribute>
						<TD class="vwItemSep vwItmTd" style="padding-left:3px;text-align:center" nowrap="true">
							<xsl:choose>
								<xsl:when test="a:propstat/a:prop/prio[.='0']">
									<IMG width="10" height="16" src="/exchweb/img/imp-low.gif"/>
								</xsl:when>
								<xsl:when test="a:propstat/a:prop/prio[.='2']">
									<IMG width="10" height="16" src="/exchweb/img/imp-high.gif"/>
								</xsl:when>
								<xsl:otherwise>&#160;</xsl:otherwise>
							</xsl:choose>
						</TD>
						<TD class="vwItemSep vwItmTd" style="padding-left:3px;text-align:center" nowrap="true">
							<IMG width="16" height="16">
							<xsl:attribute name="src"><xsl:value-of select="a:propstat/a:prop/smicon"/></xsl:attribute>
							</IMG>
						</TD>
						<TD class="vwItemSep vwItmTd" style="padding-left:3px;text-align:center" nowrap="true">
							<xsl:choose>
								<xsl:when test="a:propstat/a:prop/fattach[.='1']">
									<IMG width="16" height="16" src="/exchweb/img/icon-paperclip.gif"/>
								</xsl:when>
								<xsl:otherwise>&#160;</xsl:otherwise>
							</xsl:choose>
						</TD>



						<TD class="vwItemSep vwItmTd" style="padding-left:3px;" nowrap="true">
							<xsl:choose>
								<xsl:when test="a:propstat/a:prop/bcc[.!='']">
                                                                  <xsl:value-of select="a:propstat/a:prop/from"/>&#160;as&#160;<xsl:value-of select="a:propstat/a:prop/bcc"/>
								</xsl:when>
								<xsl:otherwise>
                                                                  <xsl:value-of select="a:propstat/a:prop/from"/>
                                                                </xsl:otherwise>
							</xsl:choose>
                                                                &#160;
</TD>

						<TD class="vwItemSep vwItmTd" style="padding-left:3px;" nowrap="true"><xsl:value-of select="a:propstat/a:prop/to"/>&#160;</TD>


						<TD class="vwItemSep vwItmTd" style="padding-left:3px;" nowrap="true"><xsl:value-of select="a:propstat/a:prop/subj"/>&#160;</TD>
						<TD class="vwItemSep vwItmTd" style="padding-left:3px;" nowrap="true">
							<xsl:for-each select="a:propstat/a:prop/recvd">
								<xsl:eval>formatDateTime</xsl:eval>
							</xsl:for-each>&#160;
						</TD>
						<TD class="vwItemSep vwItmTd" style="padding-right:3px;padding-left:3px;text-align:right" nowrap="true">
							<xsl:for-each select="a:propstat/a:prop/size">
								<xsl:eval>formatMsgSize</xsl:eval>
							</xsl:for-each>&#160;
						</TD>
						<TD oncontextmenu="if(null == event.returnValue) event.returnValue=this" onmousedown="if(null == event.returnValue) event.returnValue=this" id="idFlag" onmouseover="this.style.backgroundColor = '#CCCCCC';" style="padding-left: 3px; cursor:hand;border-bottom: #DDDDDD 1px solid;text-align:center" onclick="if(null == event.returnValue) event.returnValue=this" onmouseout="this.style.backgroundColor = '';" nowrap="true">
							<xsl:attribute name="flagState"><xsl:value-of select="a:propstat/a:prop/flag"/></xsl:attribute>
							<xsl:attribute name="flagColor"><xsl:value-of select="a:propstat/a:prop/flagcolor"/></xsl:attribute>
							<xsl:attribute name="class">
								<xsl:choose>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='1']">purpleFlg</xsl:when>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='2']">orangeFlg</xsl:when>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='3']">greenFlg</xsl:when>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='4']">yellowFlg</xsl:when>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='5']">blueFlg</xsl:when>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='6']">redFlg</xsl:when>
									<xsl:when test="a:propstat/a:prop/flag[.='1']">completeFlg</xsl:when>
									<xsl:when test="a:propstat/a:prop/flag[.='2']">noFlg</xsl:when>
									<xsl:otherwise>noFlg</xsl:otherwise>
							</xsl:choose>
							</xsl:attribute>
							<IMG width="16" height="16">
								<xsl:attribute name="src">/exchweb/img/
								<xsl:choose>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='1']">flg-1.gif</xsl:when>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='2']">flg-2.gif</xsl:when>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='3']">flg-3.gif</xsl:when>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='4']">flg-4.gif</xsl:when>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='5']">flg-5.gif</xsl:when>
									<xsl:when test="a:propstat/a:prop/flagcolor[.='6']">flg-6.gif</xsl:when>
									<xsl:when test="a:propstat/a:prop/flag[.='1']">flg-compl.gif</xsl:when>
									<xsl:when test="a:propstat/a:prop/flag[.='2']">flg-sender.gif</xsl:when>
									<xsl:otherwise>flg-empty.gif</xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
							</IMG>
						</TD>
					</A>
				</TR>
				</xsl:for-each>
				</TABLE>
			</DIV>
		</TD></TR>
		</TABLE>
		</xsl:template>
	</group>
</view>
